#!/bin/bash

tmpdir=`mktemp -d`
pc_name=`uname -n`

title="Hardware Probe"
please_select="The probe of your computer will be uploaded to the ROSA hardware DB.<br/><br/>The probe contains information about hardware configuration and system logs. It is used for diagnostics of problems with the system.<br/><br/>Please provide a short description of the probe:"
please_wait="Please wait for hardware probe..."
probe_is_done="The probe of your computer has been uploaded to the ROSA hardware DB. Thank you!"
probe_is_failed="Failed to upload the probe. Please check your network connection."
probe_view="Probe URL"
private_access="Private access"

if [ "$LANG" == "ru_RU.UTF-8" ]
then
    title="Проба оборудования"
    please_select="Проба вашего компьютера будет загружена в базу данных оборудования ROSA Linux.<br/><br/>Проба включает в себя информацию о конфигурации компьютера и системные журналы, она применяется для диагностики проблем работы системы.<br/><br/>Пожалуйста, введите короткое описание пробы:"
    please_wait="Пожалуйста, подождите. Создается проба оборудования..."
    probe_is_done="Проба оборудования компьютера была загружена в базу данных. Спасибо!"
    probe_is_failed="Не удалось загрузить пробу. Пожалуйста, проверьте соединение с интернетом."
    probe_view="URL пробы"
    private_access="Приватный доступ"
fi

i=(`kdialog --title "$title" --inputbox "$please_select" "$pc_name"`) &&
kdialog --passivepopup "$please_wait" 60 &&
hw-probe -all -upload -clean -id "${i[*]}" > $tmpdir/probe 2>&1

if [ -f $tmpdir/probe ]
then
    public_url=$(grep -o https:.*probe=.* $tmpdir/probe | grep -v 'token=')
    probe_is_done="$probe_is_done<br/><br/><b>$probe_view:</b> <a href='$public_url'>$public_url</a><br/>"
    
    if grep -q "Uploaded" $tmpdir/probe
    then
        kdialog --passivepopup "$probe_is_done" 15
        echo "$probe_is_done">$tmpdir/report
    else
        kdialog --passivepopup "$probe_is_failed" 15
        echo "$probe_is_failed">$tmpdir/report
    fi
    kdialog --title "$title" --textbox $tmpdir/report 630 200
fi

rm -fr $tmpdir
